<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('push_notification_logs', function (Blueprint $table) {
            $table->id();
            $table->string('label');
            $table->foreignId('user_id')->constrained()->cascadeOnDelete();
            $table->string('target');
            $table->string('category');
            $table->timestamp('sent_at');
            $table->timestamps();

            $table->index(['user_id', 'label']);
            $table->index(['user_id', 'target', 'category']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('push_notification_logs');
    }
};
